Whamcloud - gitweb
LU-10447 tests: replace $SETSTRIPE/$GETSTRIPE with $LFS 17/33917/2
authorJames Nunez <jnunez@whamcloud.com>
Wed, 26 Dec 2018 23:44:30 +0000 (16:44 -0700)
committerOleg Drokin <green@whamcloud.com>
Wed, 6 Feb 2019 06:35:00 +0000 (06:35 +0000)
$SETSTRIPE and $GETSTRIPE were needed when we used the
standalone 'lstripe' utility. 'lstripe' hasn't been used
for years and we need to clean up all remnants of it.

Replace all instances of $SETSTRIPE with '$LFS setstripe'
and $GETSTRIPE with '$LFS getstripe' in the conf-sanity,
ost-pools and sanity-quota test suites.

Test-Parameters: trivial testlist=conf-sanity
Test-Parameters: testlist=ost-pools,sanity-quota
Signed-off-by: James Nunez <jnunez@whamcloud.com>
Change-Id: I9c5a3fd3a7ba8bf1e65da34880dff8df8d4e7b75
Reviewed-on: https://review.whamcloud.com/33917
Tested-by: Jenkins
Tested-by: Maloo <maloo@whamcloud.com>
Reviewed-by: Wei Liu <sarah@whamcloud.com>
Reviewed-by: Elena Gryaznova <c17455@cray.com>
Reviewed-by: Oleg Drokin <green@whamcloud.com>
lustre/tests/conf-sanity.sh
lustre/tests/ost-pools.sh
lustre/tests/sanity-quota.sh

index dfd5f03..251dd29 100644 (file)
@@ -2502,7 +2502,8 @@ test_33a() { # bug 12333, was test_33
        echo "ok."
 
        cp /etc/hosts $MOUNT2/ || error "copy /etc/hosts $MOUNT2/ failed"
-       $GETSTRIPE $MOUNT2/hosts || error "$GETSTRIPE $MOUNT2/hosts failed"
+       $LFS getstripe $MOUNT2/hosts ||
+               error "$LFS getstripe $MOUNT2/hosts failed"
 
        umount $MOUNT2
        stop fs2ost -f
@@ -3429,12 +3430,13 @@ test_46a() {
        #second client see all ost's
 
        mount_client $MOUNT2 || error "mount_client failed"
-       $SETSTRIPE -c -1 $MOUNT2 || error "$SETSTRIPE -c -1 $MOUNT2 failed"
-       $GETSTRIPE $MOUNT2 || error "$GETSTRIPE $MOUNT2 failed"
+       $LFS setstripe -c -1 $MOUNT2 ||
+               error "$LFS setstripe -c -1 $MOUNT2 failed"
+       $LFS getstripe $MOUNT2 || error "$LFS getstripe $MOUNT2 failed"
 
        echo "ok" > $MOUNT2/widestripe
-       $GETSTRIPE $MOUNT2/widestripe ||
-               error "$GETSTRIPE $MOUNT2/widestripe failed"
+       $LFS getstripe $MOUNT2/widestripe ||
+               error "$LFS getstripe $MOUNT2/widestripe failed"
        # fill acl buffer for avoid expand lsm to them
        awk -F : '{if (FNR < 25) { print "u:"$1":rwx" }}' /etc/passwd |
                while read acl; do
@@ -3500,12 +3502,13 @@ test_48() { # bz-17636 LU-7473
        setup_noconfig
        check_mount || error "check_mount failed"
 
-       $SETSTRIPE -c -1 $MOUNT || error "$SETSTRIPE -c -1 $MOUNT failed"
-       $GETSTRIPE $MOUNT || error "$GETSTRIPE $MOUNT failed"
+       $LFS setstripe -c -1 $MOUNT ||
+               error "$LFS setstripe -c -1 $MOUNT failed"
+       $LFS getstripe $MOUNT || error "$LFS getstripe $MOUNT failed"
 
        echo "ok" > $MOUNT/widestripe
-       $GETSTRIPE $MOUNT/widestripe ||
-               error "$GETSTRIPE $MOUNT/widestripe failed"
+       $LFS getstripe $MOUNT/widestripe ||
+               error "$LFS getstripe $MOUNT/widestripe failed"
 
        # In the future, we may introduce more EAs, such as selinux, enlarged
        # LOV EA, and so on. These EA will use some EA space that is shared by
@@ -3800,7 +3803,7 @@ test_50g() {
                local PARAM="${FSNAME}-OST0001.osc.active"
        fi
 
-       $SETSTRIPE -c -1 $DIR/$tfile || error "$SETSTRIPE failed"
+       $LFS setstripe -c -1 $DIR/$tfile || error "$LFS setstripe failed"
        do_facet mgs $PERM_CMD $PARAM=0 || error "Unable to deactivate OST"
 
        umount_client $MOUNT || error "Unable to unmount client"
@@ -3840,8 +3843,8 @@ test_50h() {
                "${FSNAME}-OST0000.osc.active" 1
 
        mkdir $DIR/$tdir/2 || error "mkdir $DIR/$tdir/2 failed"
-       $SETSTRIPE -c -1 -i 0 $DIR/$tdir/2 ||
-               error "$SETSTRIPE $DIR/$tdir/2 failed"
+       $LFS setstripe -c -1 -i 0 $DIR/$tdir/2 ||
+               error "$LFS setstripe $DIR/$tdir/2 failed"
        sleep 1 && echo "create a file after OST1 is activated"
        # doing some io, shouldn't crash
        dd if=/dev/zero of=$DIR/$tdir/2/$tfile-io bs=1M count=10
@@ -3930,8 +3933,8 @@ test_51() {
        check_mount || error "check_mount failed"
 
        mkdir $MOUNT/$tdir || error "mkdir $MOUNT/$tdir failed"
-       $SETSTRIPE -c -1 $MOUNT/$tdir ||
-               error "$SETSTRIPE -c -1 $MOUNT/$tdir failed"
+       $LFS setstripe -c -1 $MOUNT/$tdir ||
+               error "$LFS setstripe -c -1 $MOUNT/$tdir failed"
        #define OBD_FAIL_MDS_REINT_DELAY         0x142
        do_facet $SINGLEMDS "$LCTL set_param fail_loc=0x142"
        touch $MOUNT/$tdir/$tfile &
@@ -4019,7 +4022,7 @@ test_52() {
                error "Unable to create temporary file"
        sleep 1
 
-       $SETSTRIPE -c -1 -S 1M $DIR/$tdir || error "$SETSTRIPE failed"
+       $LFS setstripe -c -1 -S 1M $DIR/$tdir || error "$LFS setstripe failed"
 
        for (( i=0; i < nrfiles; i++ )); do
                multiop $DIR/$tdir/$tfile-$i Ow1048576w1048576w524288c ||
@@ -4314,7 +4317,7 @@ test_56a() {
              $server_version -lt $(version_code 2.5.11) ]]; then
                wait_osc_import_state mds ost1 FULL
                wait_osc_import_state mds ost2 FULL
-               $SETSTRIPE --stripe-count=-1 $DIR/$tfile ||
+               $LFS setstripe --stripe-count=-1 $DIR/$tfile ||
                        error "Unable to setstripe $DIR/$tfile"
                n=$($LFS getstripe --stripe-count $DIR/$tfile)
                [ "$n" -eq 2 ] || error "Stripe count not two: $n"
@@ -4966,8 +4969,8 @@ test_69() {
                local ifree=$($LFS df -i $MOUNT | awk '/OST0000/ { print $4 }')
                log "On OST0, $ifree inodes available. Want $num_create."
 
-               $SETSTRIPE -i 0 $DIR/$tdir ||
-                       error "$SETSTRIPE -i 0 $DIR/$tdir failed"
+               $LFS setstripe -i 0 $DIR/$tdir ||
+                       error "$LFS setstripe -i 0 $DIR/$tdir failed"
                if [ $ifree -lt 10000 ]; then
                        files=$(( ifree - 50 ))
                else
@@ -4997,7 +5000,7 @@ test_69() {
 
        mount_client $MOUNT || error "mount client failed"
        touch $DIR/$tdir/$tfile-last || error "create file after reformat"
-       local idx=$($GETSTRIPE -i $DIR/$tdir/$tfile-last)
+       local idx=$($LFS getstripe -i $DIR/$tdir/$tfile-last)
        [ $idx -ne 0 ] && error "$DIR/$tdir/$tfile-last on $idx not 0" || true
 
        local iused=$($LFS df -i $MOUNT | awk '/OST0000/ { print $3 }')
@@ -5943,7 +5946,7 @@ test_82a() { # LU-4665
        # 1. If the file does not exist, new file will be created
        #    with specified OSTs.
        local file=$DIR/$tdir/$tfile-1
-       local cmd="$SETSTRIPE -o $ost_indices $file"
+       local cmd="$LFS setstripe -o $ost_indices $file"
        echo -e "\n$cmd"
        eval $cmd || error "$cmd failed"
        check_stripe_count $file $OSTCOUNT
@@ -5955,7 +5958,7 @@ test_82a() { # LU-4665
        #    will be attached with specified layout.
        file=$DIR/$tdir/$tfile-2
        mcreate $file || error "mcreate $file failed"
-       cmd="$SETSTRIPE -o $ost_indices $file"
+       cmd="$LFS setstripe -o $ost_indices $file"
        echo -e "\n$cmd"
        eval $cmd || error "$cmd failed"
        dd if=/dev/urandom of=$file count=1 bs=1M > /dev/null 2>&1 ||
@@ -5972,7 +5975,7 @@ test_82a() { # LU-4665
        #    be in the OST indices list.
        local start_ost_idx=${ost_indices##*,}
        file=$DIR/$tdir/$tfile-3
-       cmd="$SETSTRIPE -o $ost_indices -i $start_ost_idx $file"
+       cmd="$LFS setstripe -o $ost_indices -i $start_ost_idx $file"
        echo -e "\n$cmd"
        eval $cmd || error "$cmd failed"
        check_stripe_count $file $OSTCOUNT
@@ -5980,7 +5983,7 @@ test_82a() { # LU-4665
        check_start_ost_idx $file $start_ost_idx
 
        file=$DIR/$tdir/$tfile-4
-       cmd="$SETSTRIPE"
+       cmd="$LFS setstripe"
        cmd+=" -o $(exclude_items_from_list $ost_indices $start_ost_idx)"
        cmd+=" -i $start_ost_idx $file"
        echo -e "\n$cmd"
@@ -5989,7 +5992,7 @@ test_82a() { # LU-4665
        # 5. Specifying OST indices for directory should succeed.
        local dir=$DIR/$tdir/$tdir
        mkdir $dir || error "mkdir $dir failed"
-       cmd="$SETSTRIPE -o $ost_indices $dir"
+       cmd="$LFS setstripe -o $ost_indices $dir"
        if [[ $(lustre_version_code $SINGLEMDS) -gt $(version_code 2.11.53) &&
           $(lustre_version_code client -gt $(version_code 2.11.53)) ]]; then
                echo -e "\n$cmd"
@@ -6090,17 +6093,17 @@ test_82b() { # LU-4665
        # If [--pool|-p <pool_name>] is set with [--ost-list|-o <ost_indices>],
        # then the OSTs must be the members of the pool.
        local file=$DIR/$tdir/$tfile
-       cmd="$SETSTRIPE -p $ost_pool -o $ost_idx_in_list $file"
+       cmd="$LFS setstripe -p $ost_pool -o $ost_idx_in_list $file"
        echo -e "\n$cmd"
        eval $cmd && error "OST with index $ost_idx_in_list should be" \
                           "in OST pool $ost_pool"
 
        # Only select OST $ost_idx_in_list from $ost_pool for file.
        ost_idx_in_list=${ost_idx_in_pool#*,}
-       cmd="$SETSTRIPE -p $ost_pool -o $ost_idx_in_list $file"
+       cmd="$LFS setstripe -p $ost_pool -o $ost_idx_in_list $file"
        echo -e "\n$cmd"
        eval $cmd || error "$cmd failed"
-       cmd="$GETSTRIPE $file"
+       cmd="$LFS getstripe $file"
        echo -e "\n$cmd"
        eval $cmd || error "$cmd failed"
        check_stripe_count $file 2
@@ -6343,10 +6346,10 @@ test_87() { #LU-6544
        check_mount || error "check client $MOUNT failed"
 
        #set xattr
-       $SETSTRIPE -E 1M -S 1M -c 1 -E 64M -c 1 -E -1 -c -1 $file ||
+       $LFS setstripe -E 1M -S 1M -c 1 -E 64M -c 1 -E -1 -c -1 $file ||
                error "Create file with 3 components failed"
        $TRUNCATE $file $((1024*1024*64+1)) || error "truncate file failed"
-       i=$($GETSTRIPE -I3 -c $file) || error "get 3rd stripe count failed"
+       i=$($LFS getstripe -I3 -c $file) || error "get 3rd stripe count failed"
        if [ $i -ne $OSTCOUNT ]; then
                left_size=$(expr $left_size + $(expr $OSTCOUNT - $i) \* 24)
                echo -n "Since only $i out $OSTCOUNT OSTs are used, "
@@ -7491,7 +7494,7 @@ test_103() {
 
        test_103_set_pool $FSNAME OST0000
 
-       $SETSTRIPE -p $FSNAME $DIR/$tdir/d0 ||
+       $LFS setstripe -p $FSNAME $DIR/$tdir/d0 ||
                error "(6) Fail to setstripe on $DIR/$tdir/d0"
 
        if ! combined_mgs_mds ; then
@@ -7515,7 +7518,7 @@ test_103() {
                test_103_set_pool $save_fsname OST0001
        fi
 
-       $SETSTRIPE -p $save_fsname $DIR/$tdir/f0 ||
+       $LFS setstripe -p $save_fsname $DIR/$tdir/f0 ||
                error "(16) Fail to setstripe on $DIR/$tdir/f0"
        if ! combined_mgs_mds ; then
                umount_mgs_client
index d66b967..1e723a6 100755 (executable)
@@ -593,31 +593,31 @@ test_6() {
        add_pool $POOL $TGT_ALL "$TGT_UUID"
 
        mkdir -p $POOL_DIR
-       $SETSTRIPE -c -1 -p $POOL $POOL_DIR
-       [[ $? -eq 0 ]] || error "$SETSTRIPE -p $POOL failed."
+       $LFS setstripe -c -1 -p $POOL $POOL_DIR
+       [[ $? -eq 0 ]] || error "$LFS setstripe -p $POOL failed."
        check_dir_in_pool $POOL_DIR $POOL
 
        # If an invalid pool name is specified, the command should fail
-       $SETSTRIPE -c 2 -p $INVALID_POOL $POOL_DIR 2>/dev/null
+       $LFS setstripe -c 2 -p $INVALID_POOL $POOL_DIR 2>/dev/null
        [[ $? -ne 0 ]] || error "setstripe to invalid pool did not fail."
 
        # If the pool name does not exist, the command should fail
-       $SETSTRIPE -c 2 -p $NON_EXISTANT_POOL $POOL_DIR 2>/dev/null
+       $LFS setstripe -c 2 -p $NON_EXISTANT_POOL $POOL_DIR 2>/dev/null
        [[ $? -ne 0 ]] || error "setstripe to non-existant pool did not fail."
 
        # lfs setstripe should work as before if a pool name is not specified.
-       $SETSTRIPE -c -1 $POOL_DIR
-       [[ $? -eq 0 ]] || error "$SETSTRIPE -c -1 $POOL_DIR failed."
-       $SETSTRIPE -c -1 $POOL_FILE
-       [[ $? -eq 0 ]] || error "$SETSTRIPE -c -1 $POOL_FILE failed."
+       $LFS setstripe -c -1 $POOL_DIR
+       [[ $? -eq 0 ]] || error "$LFS setstripe -c -1 $POOL_DIR failed."
+       $LFS setstripe -c -1 $POOL_FILE
+       [[ $? -eq 0 ]] || error "$LFS setstripe -c -1 $POOL_FILE failed."
 
        # lfs setstripe should fail if a start index that is outside the
        # pool is specified.
        create_pool_nofail $POOL2
        add_pool $POOL2 "OST0000" "$FSNAME-OST0000_UUID "
-       $SETSTRIPE -i 1 -p $POOL2 $ROOT_POOL/$tfile 2>/dev/null
+       $LFS setstripe -i 1 -p $POOL2 $ROOT_POOL/$tfile 2>/dev/null
        [[ $? -ne 0 ]] ||
-       error "$SETSTRIPE with start index outside the pool did not fail."
+       error "$LFS setstripe with start index outside the pool did not fail."
 }
 run_test 6 "getstripe/setstripe"
 
@@ -629,15 +629,15 @@ helper_test_7a()
        pool_add $pool || error "pool_add failed"
        pool_add_targets $pool 0 1 || error "pool_add_targets failed"
 
-       $SETSTRIPE -c 1 $DIR/$tdir/testfile1 --pool "$pool" ||
+       $LFS setstripe -c 1 $DIR/$tdir/testfile1 --pool "$pool" ||
                error "setstripe failed"
-       $SETSTRIPE -c 1 $DIR/$tdir/testfile2 --pool "$FSNAME.$pool" ||
+       $LFS setstripe -c 1 $DIR/$tdir/testfile2 --pool "$FSNAME.$pool" ||
                error "setstripe failed"
 
        mkdir $DIR/$tdir/testdir
-       $SETSTRIPE -c 1 $DIR/$tdir/testdir  -p "$pool" ||
+       $LFS setstripe -c 1 $DIR/$tdir/testdir  -p "$pool" ||
                error "setstripe failed"
-       $SETSTRIPE -c 1 $DIR/$tdir/testdir  -p "$FSNAME.$pool" ||
+       $LFS setstripe -c 1 $DIR/$tdir/testdir  -p "$FSNAME.$pool" ||
                error "setstripe failed"
 
        rm -f $DIR/$tdir/testfile1
@@ -698,11 +698,11 @@ test_7c()
        pool_add_targets $pool 0 1 || error "pool_add_targets failed"
 
        # setstripe with the same pool name plus 1 letter
-       $SETSTRIPE -c 1 $DIR/$tdir/testfile1 --pool "${pool}X" && \
+       $LFS setstripe -c 1 $DIR/$tdir/testfile1 --pool "${pool}X" &&
                error "setstripe succedeed"
 
        # setstripe with the same pool name minus 1 letter
-       $SETSTRIPE -c 1 $DIR/$tdir/testfile1 --pool "${pool%?}" && \
+       $LFS setstripe -c 1 $DIR/$tdir/testfile1 --pool "${pool%?}" &&
                error "setstripe succedeed"
 
        rm -f $DIR/$tdir/testfile1
@@ -1136,10 +1136,10 @@ test_20() {
        create_dir $dir2 $POOL2
        touch $dir2/file2               # Should inherit $POOL2 from $dir2
        mkdir $dir3                     # Should inherit $POOL from $dir1
-       $SETSTRIPE -c 1 $dir3           # Should remain existing $POOL
+       $LFS setstripe -c 1 $dir3       # Should remain existing $POOL
        touch $dir3/file3               # Should inherit $POOL from $dir3
-       $SETSTRIPE -c 1 $dir2/file4     # Should inherit $POOL2 from dir2
-       $SETSTRIPE -S 64K $dir1/file5   # Should inderit $POOL from $dir1
+       $LFS setstripe -c 1 $dir2/file4 # Should inherit $POOL2 from dir2
+       $LFS setstripe -S 64K $dir1/file5 # Should inderit $POOL from $dir1
 
        check_file_in_pool $dir1/file1 $POOL2
        check_file_in_pool $dir2/file2 $POOL2
@@ -1267,7 +1267,7 @@ test_23a() {
        sleep 3
        $LFS quota -v -u $RUNAS_ID $dir
 
-       $SETSTRIPE -c 1 -p $POOL $file
+       $LFS setstripe -c 1 -p $POOL $file
        chown $RUNAS_ID.$RUNAS_GID $file
        ls -l $file
 
@@ -1403,12 +1403,12 @@ test_24() {
        create_dir $POOL_ROOT/dir1 $POOL $OSTCOUNT
 
        mkdir $POOL_ROOT/dir2
-       $SETSTRIPE -p $POOL -S 65536 -i 0 -c 1 $POOL_ROOT/dir2 ||
-               error "$SETSTRIPE $POOL_ROOT/dir2 failed"
+       $LFS setstripe -p $POOL -S 65536 -i 0 -c 1 $POOL_ROOT/dir2 ||
+               error "$LFS setstripe $POOL_ROOT/dir2 failed"
 
        mkdir $POOL_ROOT/dir3
-       $SETSTRIPE -S 65536 -i 0 -c 1 $POOL_ROOT/dir3 ||
-               error "$SETSTRIPE $POOL_ROOT/dir3 failed"
+       $LFS setstripe -S 65536 -i 0 -c 1 $POOL_ROOT/dir3 ||
+               error "$LFS setstripe $POOL_ROOT/dir3 failed"
 
        mkdir $POOL_ROOT/dir4
 
@@ -1481,7 +1481,7 @@ test_25() {
                sleep 5
 
                # Make sure OST0 can be striped on
-               $SETSTRIPE -i 0 -c 1 $POOL_ROOT/$tfile
+               $LFS setstripe -i 0 -c 1 $POOL_ROOT/$tfile
                local STR=$($LFS getstripe -i $POOL_ROOT/$tfile)
                rm $POOL_ROOT/$tfile
                if [[ "$STR" == "0" ]]; then
index 2b7aa33..eab123e 100755 (executable)
@@ -541,7 +541,7 @@ test_1() {
        local USED=$(getquota -u $TSTUSR global curspace)
        [ $USED -ne 0 ] && error "Used space($USED) for user $TSTUSR isn't 0."
 
-       $SETSTRIPE $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        log "Write..."
@@ -575,7 +575,7 @@ test_1() {
        USED=$(getquota -g $TSTUSR global curspace)
        [ $USED -ne 0 ] && error "Used space ($USED) for group $TSTUSR isn't 0"
 
-       $SETSTRIPE $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        log "Write ..."
@@ -614,7 +614,7 @@ test_1() {
        $LFS setquota -p $TSTPRJID -b 0 -B ${LIMIT}M -i 0 -I 0 $DIR ||
                error "set project quota failed"
 
-       $SETSTRIPE $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR:$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
        change_project -p $TSTPRJID $TESTFILE
 
@@ -756,7 +756,7 @@ test_block_soft() {
        setup_quota_test
        trap cleanup_quota_test EXIT
 
-       $SETSTRIPE $TESTFILE -c 1 -i 0
+       $LFS setstripe $TESTFILE -c 1 -i 0
        chown $TSTUSR.$TSTUSR $TESTFILE
        [ "$qtype" == "p" ] && is_project_quota_supported &&
                change_project -p $TSTPRJID $TESTFILE
@@ -823,7 +823,7 @@ test_block_soft() {
        $SHOW_QUOTA_INFO_GROUP
        $SHOW_QUOTA_INFO_PROJID
 
-       $SETSTRIPE $TESTFILE -c 1 -i 0
+       $LFS setstripe $TESTFILE -c 1 -i 0
        chown $TSTUSR.$TSTUSR $TESTFILE
        [ "$qtype" == "p" ] && change_project -p $TSTPRJID $TESTFILE
 
@@ -1153,12 +1153,12 @@ test_6() {
 
        # create file for $TSTUSR
        local TESTFILE=$DIR/$tdir/$tfile-$TSTUSR
-       $SETSTRIPE $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        # create file for $TSTUSR2
        local TESTFILE2=$DIR/$tdir/$tfile-$TSTUSR2
-       $SETSTRIPE $TESTFILE2 -c 1 -i 0 || error "setstripe $TESTFILE2 failed"
+       $LFS setstripe $TESTFILE2 -c 1 -i 0 || error "setstripe $TESTFILE2 failed"
        chown $TSTUSR2.$TSTUSR2 $TESTFILE2 || error "chown $TESTFILE2 failed"
 
        # cache per-ID lock for $TSTUSR on slave
@@ -1251,7 +1251,7 @@ test_7a() {
                error "limit($USED) on $OSTUUID for user $TSTUSR isn't 0"
 
        # create test file
-       $SETSTRIPE $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        echo "Stop ost1..."
@@ -1322,7 +1322,7 @@ test_7b() {
                error "limit($USED) on $OSTUUID for user $TSTUSR isn't 0"
 
        # create test file
-       $SETSTRIPE $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        # consume some space to make sure the granted space will not
@@ -1620,7 +1620,7 @@ test_9() {
        quota_show_check a g $TSTUSR
 
        echo "Create test file"
-       $SETSTRIPE $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        log "Write the big file of 4.5G ..."
@@ -1660,7 +1660,7 @@ test_10() {
                error "set quota failed"
        quota_show_check b u $TSTUSR
 
-       $SETSTRIPE $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        runas -u 0 -g 0 $DD of=$TESTFILE count=3 oflag=sync ||
@@ -1712,8 +1712,8 @@ test_12a() {
        $LFS setquota -u $TSTUSR -b 0 -B "$blimit"M -i 0 -I 0 $DIR ||
                error "set quota failed"
 
-       $SETSTRIPE $TESTFILE0 -c 1 -i 0 || error "setstripe $TESTFILE0 failed"
-       $SETSTRIPE $TESTFILE1 -c 1 -i 1 || error "setstripe $TESTFILE1 failed"
+       $LFS setstripe $TESTFILE0 -c 1 -i 0 || error "setstripe $TESTFILE0 failed"
+       $LFS setstripe $TESTFILE1 -c 1 -i 1 || error "setstripe $TESTFILE1 failed"
        chown $TSTUSR.$TSTUSR $TESTFILE0 || error "chown $TESTFILE0 failed"
        chown $TSTUSR.$TSTUSR $TESTFILE1 || error "chown $TESTFILE1 failed"
 
@@ -1797,7 +1797,7 @@ test_13(){
 
        $LFS setquota -u $TSTUSR -b 0 -B 10M -i 0 -I 0 $DIR ||
                error "set quota failed"
-       $SETSTRIPE $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        # clear the locks in cache first
@@ -1949,7 +1949,7 @@ test_18_sub () {
                error "set quota failed"
        quota_show_check b u $TSTUSR
 
-       $SETSTRIPE $TESTFILE -i 0 -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -i 0 -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        local timeout=$(sysctl -n lustre.timeout)
@@ -2026,7 +2026,7 @@ test_19() {
        set_ost_qtype $QTYPE || error "enable ost quota failed"
 
        # bind file to a single OST
-       $SETSTRIPE -c 1 $TESTFILE || error "setstripe $TESTFILE failed"
+       $LFS setstripe -c 1 $TESTFILE || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        echo "Set user quota (limit: ${blimit}M)"
@@ -2224,7 +2224,7 @@ test_23_sub() {
                error "set quota failed"
        quota_show_check b u $TSTUSR
 
-       $SETSTRIPE $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 -i 0 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        log "Step1: trigger EDQUOT with O_DIRECT"
@@ -2283,7 +2283,7 @@ test_24() {
        set_ost_qtype $QTYPE || error "enable ost quota failed"
 
        # bind file to a single OST
-       $SETSTRIPE -c 1 $TESTFILE || error "setstripe $TESTFILE failed"
+       $LFS setstripe -c 1 $TESTFILE || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        echo "Set user quota (limit: ${blimit}M)"
@@ -2387,7 +2387,7 @@ test_30() {
 
        set_ost_qtype "u" || error "enable ost quota failed"
 
-       $SETSTRIPE $TESTFILE -i 0 -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -i 0 -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        $LFS setquota -t -u --block-grace $GRACE --inode-grace \
@@ -2712,7 +2712,7 @@ test_37() {
                error "Used space ($USED) for user $TSTID isn't 0."
 
        # create file with MDS_OPEN_DELAY_CREATE flag
-       $SETSTRIPE -c 1 -i 0 $DIR/$tdir/$tfile ||
+       $LFS setstripe -c 1 -i 0 $DIR/$tdir/$tfile ||
                error "Create file failed"
        # write to file
        dd if=/dev/zero of=$DIR/$tdir/$tfile bs=1M count=1 conv=notrunc \
@@ -3212,7 +3212,7 @@ test_default_quota() {
        local USED=$(getquota $qtype $qid global curspace)
        [ $USED -ne 0 ] && error "Used space for $qid isn't 0."
 
-       $SETSTRIPE $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
+       $LFS setstripe $TESTFILE -c 1 || error "setstripe $TESTFILE failed"
        chown $TSTUSR.$TSTUSR $TESTFILE || error "chown $TESTFILE failed"
 
        [ $qtype == "-p" ] && change_project -sp $TSTPRJID $DIR/$tdir
@@ -3372,7 +3372,7 @@ test_dom() {
        chown $TSTUSR.$TSTUSR $DIR/$tdir || error "chown $tdir failed"
 
        mkdir $DIR/$tdir_dom || error "mkdir $tdir_dom failed"
-       $SETSTRIPE -E 1M -L mdt $DIR/$tdir_dom ||
+       $LFS setstripe -E 1M -L mdt $DIR/$tdir_dom ||
                error "setstripe $tdir_dom failed"
        chown $TSTUSR.$TSTUSR $DIR/$tdir_dom || error "chown $tdir_dom failed"